<?php
class Insert extends CI_Controller {
    
    
    function __construct()
    {
        parent::__construct();
        $this->load->model('Insert_data');
		
    }
    
    public function set_profile()
    {
        $this->Insert_data->set_profile();
        redirect('index.php/App/profile', 'location');
    }
    public function in_job()
	{
		$this->Insert_data->set_job();
		$this->session->set_flashdata('success','Image inserted successfully..');
		redirect('App/jobs', 'location');
	}
	public function in_image($p_id)
	{
		$this->Insert_data->set_image();
		$this->session->set_flashdata('success','Image inserted successfully..');
		redirect('App/add_image/'.$p_id, 'location');
	}
	public function in_certificate()
	{
		$this->Insert_data->set_certificate();
		$this->session->set_flashdata('success','certificate inserted successfully..');
		redirect('App/certificates','location');
	}

	public function in_clients()
	{
		$this->Insert_data->set_clients();
		$this->session->set_flashdata('success','certificate inserted successfully..');
		redirect('App/clients','location');
	}

	
	public function in_slider()
	{
		$this->Insert_data->set_slider();
		$this->session->set_flashdata('success_slider','Slider inserted successfully..');
		redirect('index.php/App/slider', 'location');
	}
	public function in_infra()
	{
		$this->Insert_data->set_infra();
		$this->session->set_flashdata('success_infra','Data inserted successfully..');
		redirect('index.php/App/infra_s', 'location');		
	}
	public function in_gallery()
	{
		$this->Insert_data->set_gallery();
		$this->session->set_flashdata('success_gallery','Image inserted successfully..');
		redirect('index.php/App/gallery','location');
	}
	public function in_article()
	{
		$this->Insert_data->set_article();
		$this->session->set_flashdata('success_blogs','Data inserted successfully..');
		redirect('App/article','location');
	}
	public function in_pgallery()
	{
		$this->Insert_data->set_projectgallery();
		$this->session->set_flashdata('success_gallery','Image inserted successfully..');
		redirect('index.php/App/project_gallery','location');
	}
	public function in_products_category()
	{
		$this->Insert_data->setproduct_cat();
		$this->session->set_flashdata('success_pcategory','Product Category inserted successfully..');
		redirect('index.php/App/product_category', 'location');		
	}
	public function in_faq()
	{
		$this->Insert_data->set_faq();
		$this->session->set_flashdata('success','Faq inserted successfully..');
		redirect('index.php/App/faq', 'location');		
	}
	public function in_consultancy()
	{
		$this->Insert_data->set_consultancy();
		$this->session->set_flashdata('success','Data inserted successfully..');
		redirect('index.php/App/consultancy', 'location');		
	}
	public function in_product()
	{
		$this->Insert_data->setproduct();
		$this->session->set_flashdata('success_product','Product inserted successfully..');
		redirect('index.php/App/products', 'location');		
	}
	public function in_service()
	{
		$this->Insert_data->set_service();
		$this->session->set_flashdata('success','Service inserted successfully..');
		redirect('index.php/App/service', 'location');		
	}
	public function in_about()
	{
		$this->Insert_data->set_about();
		redirect('index.php/App/slider', 'location');		
	}
	
	public function in_gtype()
	{
		$this->Insert_data->set_gtype();
		$this->session->set_flashdata('success_gallerytype','Type inserted successfully..');
		redirect('index.php/app/gallery_type','location');
	}
	
	public function in_video()
	{
		$this->Insert_data->set_video();
		$this->session->set_flashdata('success_video','Video link inserted successfully..');
		redirect('index.php/app/video','location');
	}
	public function in_test()
	{
		$this->Insert_data->set_test();
		$this->session->set_flashdata('success_test','Testmonial inserted successfully..');
		redirect('index.php/app/testmonial','location');
	}
	public function in_news()
	{
		$this->Insert_data->set_news();
		$this->session->set_flashdata('success_news','News inserted successfully..');
		redirect('app/news','location');
	}
	public function in_pdf()
	{
		$this->Insert_data->set_pdf();
		redirect('app/pdf','location');
	}
}
